logo       

CVS: sbcl/tests run-tests.sh,1.23,1.24: msg#00239

Subject: CVS: sbcl/tests run-tests.sh,1.23,1.24
Update of /cvsroot/sbcl/sbcl/tests
In directory sc8-pr-cvs1:/tmp/cvs-serv4595/tests

Modified Files:
        run-tests.sh 
Log Message:
0.8.0.15:
        A couple more minor fixes:
        ... LOOP FOR ... FROM ... can apparently accept complex numbers
                in some cases.  Ew.  Make it so, but attempt to limit 
                the damage by still providing compile-time diagnostics
                where possible.
        ... disassemble FUCOM on x86 correctly.  (thanks to Raymond Toy)
        ... unBAshify test script.  (thanks to Henrik Motakef)


Index: run-tests.sh
===================================================================
RCS file: /cvsroot/sbcl/sbcl/tests/run-tests.sh,v
retrieving revision 1.23
retrieving revision 1.24
diff -u -d -r1.23 -r1.24
--- run-tests.sh        12 Dec 2002 11:47:37 -0000      1.23
+++ run-tests.sh        29 May 2003 12:28:02 -0000      1.24
@@ -44,10 +44,10 @@
 # returned unless we exit through the intended explicit "test
 # successful" path.
 tenfour () {
-    if [ $? = 104 ]; then
+    if [ $1 = 104 ]; then
        echo ok
     else
-       echo test failed, expected 104 return code, got $?
+       echo test failed, expected 104 return code, got $1
        exit 1
     fi
 }
@@ -66,7 +66,7 @@
     fi
 done
 echo "  (sb-ext:quit :unix-status 104)) ; Return status=success."
-) | $SBCL ; tenfour
+) | $SBCL ; tenfour $?
 
 # *.impure.lisp files are Lisp code with side effects (e.g. doing
 # DEFSTRUCT or DEFTYPE or DEFVAR, or messing with the read table).
@@ -77,7 +77,7 @@
 for f in *.impure.lisp; do
     if [ -f $f ]; then
         echo //running $f test
-        echo "(load \"$f\")" | $SBCL ; tenfour
+        echo "(load \"$f\")" | $SBCL ; tenfour $?
     fi
 done
 
@@ -89,7 +89,7 @@
 for f in *.test.sh; do
     if [ -f $f ]; then
        echo //running $f test
-       sh $f "$SBCL"; tenfour
+       sh $f "$SBCL"; tenfour $?
     fi
 done
 
@@ -99,7 +99,7 @@
 for f in *.assertoids; do
     if [ -f $f ]; then
        echo //running $f test
-       echo "(load \"$f\")" | $SBCL --eval '(load "assertoid.lisp")' ; tenfour
+       echo "(load \"$f\")" | $SBCL --eval '(load "assertoid.lisp")' ; tenfour 
$?
     fi
 done
 
@@ -112,7 +112,7 @@
     # to LOAD them all into the same Lisp.)
     if [ -f $f ]; then
        echo //running $f test
-       $SBCL <<EOF ; tenfour
+       $SBCL <<EOF ; tenfour $?
                (compile-file "$f")
                 (progn
                   (unwind-protect
@@ -130,7 +130,7 @@
 for f in *.impure-cload.lisp; do
     if [ -f $f ]; then
        echo //running $f test
-       $SBCL <<EOF ; tenfour
+       $SBCL <<EOF ; tenfour $?
                (compile-file "$f")
                 (progn
                   (unwind-protect



-------------------------------------------------------
This SF.net email is sponsored by: eBay
Get office equipment for less on eBay!
http://adfarm.mediaplex.com/ad/ck/711-11697-6916-5


<Prev in Thread] Current Thread [Next in Thread>
Google Custom Search

Recently Viewed:
linux.arklinux....    user-groups.lin...    kde.usability/2...    ietf.ipp/2002-0...    mail.spam.spamc...    os.netbsd.devel...    audio.cd-record...    text.unicode.de...    php.documentati...    games.fps.halfl...    window-managers...    suse.oracle.gen...    bug-tracking.gn...    video.dvdrip.us...    xfree86.cvs/200...    java.netbeans.m...    network.argus/2...    culture.sf.kill...    debian.ports.al...    freebsd.questio...    qplus.devel/200...    handhelds.palm....   
Home | blog view | USPTO Patent Archive | advertise | OSDir is an inevitable website. super tiny logo

Free Magazines

Cisco News
Receive a free quarterly e-newsletter with exclusive articles on how Cisco IT uses its own products and solutions to enable the business.
subscribe

Systems Management News, the newspaper for IT systems administration and data center managers! Each issue of Systems Management News is chock-full of news and analysis to help you understand what's happening in your field.
subscribe

The Enterprise Newsweekly eWeek is the essential technology information source for builders of e-business.
subscribe

Oracle Magazine Oracle Magazine contains technology strategy articles, sample code, tips, Oracle and partner news, how to articles for developers and DBAs, and more. Oracle (NASDAQ: ORCL) is the world's largest enterprise software company.
subscribe

Total Telecom Total Telecom is "The Economist of the communications industry".
subscribe